---
title: Configuring Rebalance Retries
pubDate: 2026-08-17T09:53:44.266Z
antora:
  editUrl: https://github.com/couchbase/docs-server/edit/release/7.6/modules/rest-api/pages/rest-configure-rebalance-retry.adoc
  xref: xref:7.6@server:rest-api:rest-configure-rebalance-retry.adoc[]
---

[Consult the llms.txt file for a full list of contents](/llms.txt)
[View original HTML](/server/7.6/rest-api/rest-configure-rebalance-retry.html)

# Configuring Rebalance Retries

## [](#http-methods-and-uri)HTTP methods and URI

GET /settings/retryRebalance

POST /settings/retryRebalance

## [](#description)Description

This gets and sets the configuration for rebalance retries. For an overview of rebalance and rebalance retries, see [Rebalance](../learn/clusters-and-availability/rebalance.md).

## [](#curl-syntax)Curl Syntax

curl -X GET -u <administrator>:<password>
http://<host>:<port>/settings/retryRebalance

curl -X POST -u Administrator:password
http://<host>:<port>/settings/retryRebalance
    -d enabled=[ true | false ]
    -d afterTimePeriod=[number-of-seconds]
    -d maxAttempts=[number-of-attempts]

The `afterTimePeriod` parameter specifies the number of seconds that must elapse between successive retries: this must be an integer in the range of 5 to 3600.

The `maxAttempts` parameter specifies the maximum number of successive retries to be attempted: this must be an integer in the range of 1 to 3.

## [](#responses)Responses

Success gives `200 OK`, and returns an object containing status on pending rebalance retries. Failure to authenticate gives `401 Unauthorized`. A malformed URI gives `404 Object Not Found`.

## [](#example)Example

To obtain the cluster's current rebalance settings by means of the REST API, use the `GET /settings/retryRebalance` http method and URI, as follows:

curl -X GET -u Administrator:password \
http://10.143.192.101:8091/settings/retryRebalance

If successful, the command returns the following object:

{"enabled":true,"afterTimePeriod":200,"maxAttempts":3}

This output shows that rebalance retry is enabled, with `200` seconds required to elapse before a retry is attempted, and a maximum of `3` retries possible.

To change the rebalance settings, use the `POST` method with the same URI, specifying appropriate values:

curl -X POST -u Administrator:password \
http://10.143.192.101:8091/settings/retryRebalance \
-d enabled=false \
-d afterTimePeriod=100 \
-d maxAttempts=2

If successful, the command returns the following object:

{"enabled":false,"afterTimePeriod":100,"maxAttempts":2}

This verifies that rebalance retry has been disabled, the required period between retries changed to `100` seconds, and the maximum number of retries changed to `2`.

## [](#see-also)See Also

For an overview of rebalance with the Data Service and other services, see [Rebalance](../learn/clusters-and-availability/rebalance.md). For practical examples of adding a node, rebalancing, and cancelling rebalance retries, see [Add a Node and Rebalance](../manage/manage-nodes/add-node-and-rebalance.md).

For information on using the REST API to retrieve current status on and to cancel pending rebalance retries, see [Get Rebalance-Retry Status](rest-get-rebalance-retry.md) abd [Cancel Rebalance Retries](rest-cancel-rebalance-retry.md). For information on obtaining and reading _rebalance reports_, see the [Rebalance Reference](../rebalance-reference/rebalance-reference.md).